GNU_CONFIGURE=yes and teach arpwatch.sh to figure out $PREFIX

Suggested and reviewed by: John E. Hein <jhein@timing.com>
This commit is contained in:
Brian Somers 2001-04-07 01:51:53 +00:00
parent c8ce25062e
commit aa8166ab58
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=40982
8 changed files with 52 additions and 8 deletions

View File

@ -15,6 +15,7 @@ DISTNAME= arpwatch-2.1a10
MAINTAINER= brian@Awfulhak.org
GNU_CONFIGURE= yes
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --quiet
INSTALL_TARGET= install install-man

View File

@ -1,9 +1,19 @@
#!/bin/sh
prog=$(realpath $0) || exit 1
dir=${prog%/*}
PREFIX=${dir%/etc/rc.d}
if [ ."$dir" = ."$prog" -o ."$PREFIX" = ."$dir" ]
then
echo "$0: Cannot determine the PREFIX" >&2
exit 1
fi
case $1 in
start)
if [ -x /usr/local/sbin/arpwatch -a -d /usr/local/arpwatch ]; then
/usr/local/sbin/arpwatch && echo -n ' arpwatch'
if [ -x "$PREFIX"/sbin/arpwatch -a -d "$PREFIX"/arpwatch ]; then
"$PREFIX"/sbin/arpwatch && echo -n ' arpwatch'
fi
;;
stop)

View File

@ -15,6 +15,7 @@ DISTNAME= arpwatch-2.1a10
MAINTAINER= brian@Awfulhak.org
GNU_CONFIGURE= yes
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --quiet
INSTALL_TARGET= install install-man

View File

@ -1,9 +1,19 @@
#!/bin/sh
prog=$(realpath $0) || exit 1
dir=${prog%/*}
PREFIX=${dir%/etc/rc.d}
if [ ."$dir" = ."$prog" -o ."$PREFIX" = ."$dir" ]
then
echo "$0: Cannot determine the PREFIX" >&2
exit 1
fi
case $1 in
start)
if [ -x /usr/local/sbin/arpwatch -a -d /usr/local/arpwatch ]; then
/usr/local/sbin/arpwatch && echo -n ' arpwatch'
if [ -x "$PREFIX"/sbin/arpwatch -a -d "$PREFIX"/arpwatch ]; then
"$PREFIX"/sbin/arpwatch && echo -n ' arpwatch'
fi
;;
stop)

View File

@ -15,6 +15,7 @@ DISTNAME= arpwatch-2.1a10
MAINTAINER= brian@Awfulhak.org
GNU_CONFIGURE= yes
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --quiet
INSTALL_TARGET= install install-man

View File

@ -1,9 +1,19 @@
#!/bin/sh
prog=$(realpath $0) || exit 1
dir=${prog%/*}
PREFIX=${dir%/etc/rc.d}
if [ ."$dir" = ."$prog" -o ."$PREFIX" = ."$dir" ]
then
echo "$0: Cannot determine the PREFIX" >&2
exit 1
fi
case $1 in
start)
if [ -x /usr/local/sbin/arpwatch -a -d /usr/local/arpwatch ]; then
/usr/local/sbin/arpwatch && echo -n ' arpwatch'
if [ -x "$PREFIX"/sbin/arpwatch -a -d "$PREFIX"/arpwatch ]; then
"$PREFIX"/sbin/arpwatch && echo -n ' arpwatch'
fi
;;
stop)

View File

@ -15,6 +15,7 @@ DISTNAME= arpwatch-2.1a10
MAINTAINER= brian@Awfulhak.org
GNU_CONFIGURE= yes
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --quiet
INSTALL_TARGET= install install-man

View File

@ -1,9 +1,19 @@
#!/bin/sh
prog=$(realpath $0) || exit 1
dir=${prog%/*}
PREFIX=${dir%/etc/rc.d}
if [ ."$dir" = ."$prog" -o ."$PREFIX" = ."$dir" ]
then
echo "$0: Cannot determine the PREFIX" >&2
exit 1
fi
case $1 in
start)
if [ -x /usr/local/sbin/arpwatch -a -d /usr/local/arpwatch ]; then
/usr/local/sbin/arpwatch && echo -n ' arpwatch'
if [ -x "$PREFIX"/sbin/arpwatch -a -d "$PREFIX"/arpwatch ]; then
"$PREFIX"/sbin/arpwatch && echo -n ' arpwatch'
fi
;;
stop)